
*
*
*  Soucecode:  Replayer demo for high-level-languages
*
*   by BrainTrace Design    / Carsten Schlote, Egelseeweg 52,
*                              6302 Lich 1
*
*
*  Offsets :   0  Hardcalculate some pointers
*        4  Set CIA B Timer B Irq as Irq-Handler
*        8  Remove Irq-Handler
*        12 Start song Nummber 'd0.l'
*        16 Stop song
*        20 Insert SynthEffect ( d0 = note, d1 = voice )
*        24 Interruptroutine, if you want to bypass
*              offset 4 and 8.
*
*        28.w  VolumeLevel 1  ( 0.255)    For Equalizers
*        32.w  VolumeLevel 2  ( 0.255)
*        36.w  VolumeLevel 3  ( 0.255)
*        40.w  VolumeLevel 4  ( 0.255)
*
*        42.l  OffsetPointer to VoiceControl Flags
*         |    ( Module + OffsetPointer = Addresse des Flagfeldes )
*         |
*         |_____  dc.w  VoiceOn0,VoiceOn1,VoiceOn2,VoiceOn3
*
*                 0 = Stimme aus     1 = Stimme ein
*
*

   SECTION  Music,CODE_C

start:
         BSR   Module+0         ; Init 32-Bit Pointers

         Bsr   Module+4         ; Set Timer Irq

         moveq #0,d0
         bsr   Module+12         ; Start song zero

.wait    btst  #6,$bfe001
         bne   .wait

         bsr   Module+16         ; Song stop

         bsr   Module+8          ; Remove IRQ-Handler

         moveq #0,d0
         rts
.error   moveq #20,d0
         rts
Module:
         IncBin  "/noname.pc"      ; Change this !

         END
